package require mawt

set imgFiles  [file join "Data"    "Cawt-%03d.png"]
set movieFile [file join "TestOut" "CawtVideo.mp4"]

puts "FFmpeg version    : [mawt GetFfmpegVersion]"
puts "Image file pattern: $imgFiles"
puts "Movie file        : $movieFile"

mawtlib::MawtSetDebugMode 0
set t1 [clock microseconds]
set numImportedImgs [mawt VideoImport $imgFiles $movieFile -start 1 -end 20 -fps 10]
set t2 [clock microseconds]

puts "Number of images  : $numImportedImgs"
puts [format "Time needed       : %.2f seconds" [expr ($t2 - $t1) / 1E6]]

exit
