package require mawt

set imgFiles  [file join "TestOut" "Face.%03d.png"]
set movieFile [file join "TestOut" "Face2.avi"]

puts "FFmpeg version    : [mawt GetFfmpegVersion]"
puts "Image file pattern: $imgFiles"
puts "Movie file        : $movieFile"

set t1 [clock microseconds]
set numImportedImgs [mawt VideoImport $imgFiles $movieFile]
set t2 [clock microseconds]

puts "Number of images  : $numImportedImgs"
puts [format "Time needed       : %.2f seconds" [expr ($t2 - $t1) / 1E6]]

exit
